libosmo-sigtran: osmo_sccp_user Struct Reference

libosmo-sigtran 2.2.1.95-893c Osmocom SIGTRAN library

Data Fields
osmo_sccp_user Struct Reference

`#include <sccp_user.h>`

## Data Fields
struct llist_head | list
| entry in list of sccp users of osmo_sccp_instance More...
struct osmo_sccp_instance * | inst
| pointer back to SCCP instance More...
char * | name
| human-readable name of this user More...
uint16_t | ssn
| SSN and/or point code to which we are bound. More...
uint32_t | pc
struct llist_head | links
osmo_prim_cb | prim_cb
void * | priv
struct osmo_fsm_inst * | as_fi

## Field Documentation

## ◆ as_fi

struct osmo_fsm_inst* osmo_sccp_user::as_fi

## ◆ inst

struct osmo_sccp_instance* osmo_sccp_user::inst

pointer back to SCCP instance

Referenced by conn_create(), DEFUN(), osmo_sccp_get_sccp(), osmo_sccp_instance_destroy(), osmo_sccp_tx_conn_resp_msg(), osmo_sccp_tx_data(), osmo_sccp_tx_disconn_data(), osmo_sccp_user_bind(), osmo_sccp_user_bind_pc(), osmo_sccp_user_find(), osmo_sccp_user_name(), osmo_sccp_user_sap_down_nofree(), sccp_conn_alloc(), sccp_lbcs_local_bcast_pcstate(), sccp_lbcs_local_bcast_state(), sccp_scmg_init(), sccp_scoc_rx_from_scrc(), sccp_user_alloc(), sccp_user_bind_pc(), sccp_user_find(), sccp_user_flush_connections(), sclc_rx_cldr(), sclc_rx_cldt(), scmg_rx_ssa(), scmg_rx_ssp(), scmg_rx_sst(), scrc_node_6(), show_user(), and xua_gen_encode_and_send().

## ◆ links

struct llist_head osmo_sccp_user::links

## ◆ list

struct llist_head osmo_sccp_user::list

entry in list of sccp users of osmo_sccp_instance

Referenced by DEFUN(), osmo_sccp_instance_destroy(), sccp_lbcs_local_bcast_pcstate(), sccp_lbcs_local_bcast_state(), sccp_user_alloc(), sccp_user_find(), and sccp_user_free().

## ◆ name

char* osmo_sccp_user::name

human-readable name of this user

Referenced by osmo_sccp_user_bind(), osmo_sccp_user_bind_pc(), osmo_sccp_user_name(), sccp_user_alloc(), sccp_user_bind_pc(), and show_user().

## ◆ pc

uint32_t osmo_sccp_user::pc

Referenced by osmo_sccp_user_name(), sccp_user_alloc(), sccp_user_find(), show_user(), and vty_show_connection().

## ◆ prim_cb

osmo_prim_cb osmo_sccp_user::prim_cb

Referenced by osmo_sccp_user_bind(), osmo_sccp_user_bind_pc(), sccp_user_alloc(), sccp_user_bind_pc(), and sccp_user_prim_up().

## ◆ priv

void* osmo_sccp_user::priv

Referenced by osmo_sccp_set_priv(), osmo_sccp_user_get_priv(), and osmo_sccp_user_set_priv().

## ◆ ssn

uint16_t osmo_sccp_user::ssn

SSN and/or point code to which we are bound.

Referenced by osmo_sccp_user_name(), sccp_user_alloc(), sccp_user_find(), show_user(), and vty_show_connection().

The documentation for this struct was generated from the following file:

- src/sccp_user.h